package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 提现周期枚举类
 */
@AllArgsConstructor
@Getter
public enum ECycle {

    /**
     * 周一
     */
    MONDAY(1, "周一"),
    /**
     * 周二
     */
    TUESDAY(2, "周二"),
    /**
     * 周三
     */
    WEDNESDAY(3, "周三"),
    /**
     * 周四
     */
    THURSDAY(4, "周四"),
    /**
     * 周五
     */
    FRIDAY(5, "周五"),
    /**
     * 周六
     */
    SATURDAY(6, "周六"),
    /**
     * 周日
     */
    SUNDAY(7, "周日"),

    ;

    /**
     * 实际值
     */
    private final int value;

    /**
     * 显示标签
     */
    private final String label;

}
